# Uses of Class
it.tdlight.jni.TdApi.LinkPreviewOptions

## Uses of TdApi.LinkPreviewOptions in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.LinkPreviewOptions
Modifier and Type
Field
Description
`TdApi.LinkPreviewOptions`
TdApi.GetWebPagePreview.`linkPreviewOptions`
Options to be used for generation of the link preview; pass null to use default link preview options.
`TdApi.LinkPreviewOptions`
TdApi.InputMessageText.`linkPreviewOptions`
Options to be used for generation of a link preview; may be null if none; pass null to use default link preview options.
`TdApi.LinkPreviewOptions`
TdApi.MessageText.`linkPreviewOptions`
Options which were used for generation of the link preview; may be null if default options were used.
Constructors in it.tdlight.jni with parameters of type TdApi.LinkPreviewOptions
Modifier
Constructor
Description
``
`GetWebPagePreview(TdApi.FormattedText text, TdApi.LinkPreviewOptions linkPreviewOptions)`
Returns a link preview by the text of a message.
``
`InputMessageText(TdApi.FormattedText text, TdApi.LinkPreviewOptions linkPreviewOptions, boolean clearDraft)`
A text message.
``
`MessageText(TdApi.FormattedText text, TdApi.WebPage webPage, TdApi.LinkPreviewOptions linkPreviewOptions)`
A text message.